Search Gradle plugins

Version 1.0.0-pre-1

1.0.0-pre-1

Created 14 July 2023.

Configure the automatic registration Gradle plugin for the KRouter component library.

Using the plugins DSL:

plugins {
  id("io.github.zcys12173.plugin_router") version "1.0.0-pre-1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.github.zcys12173.plugins:plugin-router-7-4:1.0.0-pre-1")
  }
}

apply(plugin = "io.github.zcys12173.plugin_router")

Using the plugins DSL:

plugins {
  id "io.github.zcys12173.plugin_router" version "1.0.0-pre-1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.github.zcys12173.plugins:plugin-router-7-4:1.0.0-pre-1"
  }
}

apply plugin: "io.github.zcys12173.plugin_router"

Learn how to apply plugins to subprojects